Name:           ublue-os-luks
Vendor:         ublue-os
Version:        0.3
Release:        1.20250319165739726561.pr293.16.g9ae211c%{?dist}
Summary:        ublue-os scripts for simplified LUKS usage
License:        Apache-2.0
URL:            https://github.com/ublue-os/packages
VCS:            git+https://github.com/ublue-os/packages#9ae211c15212bbdff2e177c2e595395258a21b9d:packages/ublue-os-luks
Source:         packages-0.3.tar.gz

BuildArch:      noarch

%description
Adds scripts and dracut config to simplify LUKS autounlock

%prep
%setup -T -b 0 -q -n packages-0.3

%build

%install
install -Dm755 -t %{buildroot}%{_libexecdir}/ src/luks-disable-tpm2-autounlock
install -Dm755 -t %{buildroot}%{_libexecdir}/ src/luks-enable-tpm2-autounlock
install -Dm644 -t %{buildroot}%{_exec_prefix}/lib/dracut/dracut.conf.d src/90-ublue-luks.conf

%check

%files
%{_libexecdir}/luks-disable-tpm2-autounlock
%{_libexecdir}/luks-enable-tpm2-autounlock
%{_exec_prefix}/lib/dracut/dracut.conf.d/90-ublue-luks.conf

%changelog
* Wed Mar 19 2025 Packit <hello@packit.dev> - 0.3-1.20250319165739726561.pr293.16.g9ae211c
- Revert "fix: skip rpkg if not needed" (Zeglius)
- fix: remove unnecesary downstream_package_name key (Zeglius)
- fix: skip rpkg if not needed (Zeglius)
- chore: Only use first Version value from rpmspec (Zeglius)
- chore: use rpmspec to set the version (Zeglius)
- chore: pin fedora targets (Zeglius)
- fix: ANSI code for unbold formatting; \e -> \033 for compatibility. (Daniel Hast)
- chore: reduce matrix to current fedora versions (Zeglius)
- chore: include all 'packages' namespace to packit (Zeglius)
- chore: increased separation in namespace var (Zeglius)
- feat: Add packit configuration (Zeglius)
- Added documentation link after enabling bling (gabs)
- Added documentation link after enabling bling (gabs)

* Thu Jul 04 2024 m2Giles <69128853+m2Giles@users.noreply.github.com> - 0.3
- Rewrite enable script to fail out if disk is not found
- LUKs disk is determined from kernel commandline instead of /etc/crypttab

* Sat Jun 29 2024 Benjamin Sherman <benjamin@holyarmy.org> - 0.2
- Add tpm, fido2, pkcs11 to dracut config enabling initramfs LUKS unlock options

* Tue Apr 30 2024 Benjamin Sherman <benjamin@holyarmy.org> - 0.1
- Add tpm2 autounlock enable/disable scripts
- Original source: https://github.com/bsherman/ublue-custom/
